View Issue Details

IDProjectCategoryView StatusLast Update
0003076Ham Radio DeluxeBugpublic2019-02-24 15:13
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.184 
Target VersionFixed in Version6.5.0.196 
Summary0003076: 3rd-Party Serial Port dialog is slow to open
DescriptionThe "3rd-Party Serial Port" dialog Rig Control could open faster. The dialog enumerates all of the COM ports on the machine in a very slow manner. We have a faster mechanism available and should use it, instead.
Steps To Reproduce    
1) Fire up Rig control. Don't connect to a radio
2) In the "Tools" menu, use the "Hardware" tear-off to click on the "3rd-Party Serial Support" command
3) Wait. Takes almost 10 seconds on my desktop machine, which is very fast
4) Finally, the dialog displays
TagsNo tags attached.
ModuleRig Control
Sub-ModuleAppearance/UI
Testing Beta Successful

Relationships

related to 0003170 closedK7ZCZ Rig Control sometimes shows duplicate COM ports 

Activities

K7ZCZ

2019-01-19 12:10

manager   ~0007032

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4740

WA9PIE

2019-01-21 02:30

administrator   ~0007049

Validated

Issue History

Date Modified Username Field Change
2019-01-19 10:56 K7ZCZ New Issue
2019-01-19 12:10 K7ZCZ Assigned To => K7ZCZ
2019-01-19 12:10 K7ZCZ Status new => resolved
2019-01-19 12:10 K7ZCZ Resolution open => fixed
2019-01-19 12:10 K7ZCZ Note Added: 0007032
2019-01-19 12:46 WA9PIE Product Version 6.5.0.184 =>
2019-01-19 12:46 WA9PIE Fixed in Version => 6.5.0.184
2019-01-19 12:46 WA9PIE Description Updated View Revisions
2019-01-19 12:46 WA9PIE Testing Not Started => Beta Successful
2019-01-19 12:46 WA9PIE Status resolved => closed
2019-01-19 12:49 WA9PIE Status closed => resolved
2019-01-19 12:49 WA9PIE Product Version => 6.5.0.184
2019-01-19 12:49 WA9PIE Fixed in Version 6.5.0.184 =>
2019-01-20 21:04 K7ZCZ Fixed in Version => 6.5.0.186
2019-01-21 02:30 WA9PIE Status resolved => closed
2019-01-21 02:30 WA9PIE Fixed in Version 6.5.0.186 => 6.5.0.187
2019-01-21 02:30 WA9PIE Note Added: 0007049
2019-02-08 14:18 K7ZCZ Relationship added related to 0003170
2019-02-24 14:36 WA9PIE Fixed in Version 6.5.0.187 => 6.5.0.196
2019-02-24 15:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe